Bug 523305 - RFE: rpy requires R instead of just R-core
Summary: RFE: rpy requires R instead of just R-core
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpy
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: José Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 20:29 UTC by Rasmus Ory Nielsen
Modified: 2009-09-24 05:19 UTC (History)
2 users (show)

Fixed In Version: 2.0.6-6.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-24 05:06:27 UTC


Attachments (Terms of Use)

Description Rasmus Ory Nielsen 2009-09-14 20:29:55 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; da-DK; rv:1.9.1.3) Gecko/20090909 Fedora/3.5.3-1.fc11 Firefox/3.5.3

When installing rpy it drags in R, gcc, kernel-headers and _a lot_ of -devel packages. R-core should be enough for it to work.

Reproducible: Always

Steps to Reproduce:
1. yum install rpy
2.
3.
Actual Results:  
Too many packages got installed.

Expected Results:  
Only rpy and R-core + deps should have been installed.

Comment 1 Fedora Update System 2009-09-21 10:12:28 UTC
rpy-1.0.3-11.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/rpy-1.0.3-11.fc10

Comment 2 Fedora Update System 2009-09-21 10:37:44 UTC
rpy-2.0.6-6.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpy-2.0.6-6.fc11

Comment 3 José Matos 2009-09-21 10:39:38 UTC
Updates for F-10, F-11 and rawhide (to be F-12) have been issued.

Comment 4 Rasmus Ory Nielsen 2009-09-22 11:28:03 UTC
Thanks!

Comment 5 Fedora Update System 2009-09-24 05:06:22 UTC
rpy-1.0.3-11.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2009-09-24 05:18:56 UTC
rpy-2.0.6-6.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.